Module javafx.graphics
Package javafx.css

# Class StyleConverter.StringStore

java.lang.Object
javafx.css.StyleConverter.StringStore

Enclosing class:
  `StyleConverter<F,T>`

public static class StyleConverter.StringStore extends Object
The StringStore class

Since:
  9

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<String>`
`strings`

## Constructor Summary

Constructors
Constructor
Description
`StringStore()`

## Method Summary

Modifier and Type
Method
Description
`int`
`addString(String s)`
`static String[]`
`readBinary(DataInputStream is)`
`void`
`writeBinary(DataOutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### strings

public final List<String> strings

## Constructor Details

### StringStore

public StringStore()

## Method Details

### addString

public int addString(String s)

### writeBinary

public void writeBinary(DataOutputStream os) throws IOException

Throws:
  `IOException`

### readBinary

public static String[] readBinary(DataInputStream is) throws IOException

Throws:
  `IOException`